Subject: Re: gigE 2.6.27 USB

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 15 Oct 2008 15:45:59 +1100

On Tue, 2008-10-14 at 03:52 -0700, Kevin Diggs wrote:
> Kevin Diggs wrote:
> > Hi,
> > 
> >     I managed to wrestle my gigE to the ground and get it to boot
> > 2.6.27. I have, however, noticed that some messages are showing up in
> > dmesg. There are alot of them. They are continuous. They appear to come
> > from drivers/usb/core/hub.c:2916. It looks like they come in pairs (this
> > beast has two ports (root hubs)). I plugged in a USB CF reader. It
> > appears to work. The keyboard and mouse (a Logitech wireless receiver)
> > seems to work. 2.6.24 did not do this.
> > 
> > kevin
> > 
> 	For what it is worth, I tricked a laptop into booting 2.6.27. It
> does not appear to generate these messages. The PowerMac is running
> Yellow Dog 4.

It would be a lot more useful if you included informations in your
report such as :

 - The actual error output
 - The full dmesg log
 - Informations about the adapter including output of lsusb -v
 - How do you actually trigger the problem

It would be even more useful if you CC'ed some relevant list such
as the linux-usb one too :-)

Cheers,
Ben.